Ray Surveyor: compare genomic content between samples

Usage:

mpiexec -n 512 \
Ray \
-k 31 \
-output RaySurveyorResults \
-run-surveyor \
-read-sample-graph ID033401 ./1996/ID033401-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID033406 ./1996/ID033406-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID033399 ./1996/ID033399-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID033398 ./1996/ID033398-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119442 ./Patients/KID119442-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119444 ./Patients/KID119444-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119445 ./Patients/KID119445-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119536 ./Patients/KID119536-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119537 ./Patients/KID119537-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119788 ./Patients/KID119788-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119957 ./Patients/KID119957-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119958 ./Patients/KID119958-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119960 ./Patients/KID119960-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID120069 ./Patients/KID120069-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID120070 ./Patients/KID120070-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID120111 ./Patients/KID120111-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID120112 ./Patients/KID120112-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID120113 ./Patients/KID120113-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID120114 ./Patients/KID120114-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID120206 ./Patients/ID120206-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID120292 ./Patients/ID120292-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID120368 ./Patients/ID120368-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID120369 ./Patients/ID120369-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID120371 ./Patients/ID120371-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID120713 ./Patients/ID120713-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID120169 ./Contemporains/ID120169-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID119921 ./Contemporains/ID119921-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID120882 ./Contemporains/ID120882-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119784 ./Contemporains/KID119784-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID120143 ./Environnement/KID120143-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119787 ./Environnement/KID119787-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID120086 ./Environnement/KID120086-Ray-2013-10-07/kmers.txt \
-read-sample-graph ID120329 ./Environnement/ID120329-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID120094 ./Environnement/KID120094-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID119685 ./Environnement/KID119685-Ray-2013-10-07/kmers.txt \
-read-sample-graph KID120090 ./Environnement/KID120090-Ray-2013-10-07/kmers.txt \

The files kmers.txt can be generated by Ray. Furthermore, there will probably be
also an option called: -read-sample-reads <SampleDirectory>

This will generate:

RayOutput/Surveyor/SimilarityMatrix.tsv
RayOutput/Surveyor/DistanceMatrix.tsv

This file will contain pairwise similarity between graphs.
